Vehicle History Verification (NMVTIS) - Notifications - Sandbox

Set callback security

Sets callback security configuration
If hmac key is set for callbacks then we use HMAC/SHA256 algorithm to calculate the hash and encode the result into base64 string. The end result is sent in X-HMAC header.

put
https://api-test.vitu.com/one/nmvtis/api/v1/security/callback

Body

application/json

CallbackSecuritySettingsDTO

basicAuthSettingsobject
Show Child Parameters
hmacSettingsobject
Show Child Parameters
oauth
Show Child Parameters
securityHeadersarray[object]

<= 500 items

Show Child Parameters
mtlsobject
Show Child Parameters

Response

application/json

OK

object
put/security/callback

Body

{}
 
application/json

Notification

Get Subscription

Get Subscription.

get
https://api-test.vitu.com/one/nmvtis/api/v1/subscription

Query Parameters

limitinteger

Maximum items per page

Default:20

>= 1<= 100

offsetinteger

Items to skip

Default:0

>= 0

Response

application/json

OK

callbackUrlstring(uri)

Match pattern:^https://

<= 500 characters

get/subscription
 
application/json

Subscribe

Subscribe to transactions notifications.

put
https://api-test.vitu.com/one/nmvtis/api/v1/subscription

Query Parameters

callbackUrlstring(uri)required

URL to endpoint which will listen to transactions updates. Must be resolvable

Match pattern:^https://

<= 500 characters

Example:https://vitu.com/callback

Response

application/json

Successfully subscribed

object
put/subscription
 
application/json

Unsubscribe

Unsubscribe to transactions updates

delete
https://api-test.vitu.com/one/nmvtis/api/v1/subscription

Response

application/json

Successfully unsubscribed

object
delete/subscription
 
application/json